Bug 114460 - Some embedded PDFs not exported to pdf
Summary: Some embedded PDFs not exported to pdf
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.4.3.2 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.1 target:5.4.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-12-14 12:14 UTC by sam tygier
Modified: 2018-01-23 20:30 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
test.odp (136.82 KB, application/vnd.oasis.opendocument.presentation)
2017-12-14 12:14 UTC, sam tygier
Details
trig.pdf (11.95 KB, application/pdf)
2017-12-14 12:14 UTC, sam tygier
Details
trig-crop.pdf (12.37 KB, application/pdf)
2017-12-14 12:15 UTC, sam tygier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sam tygier 2017-12-14 12:14:03 UTC
Created attachment 138440 [details]
test.odp

I have an impress document with several embedded pdf figures. Not all of them are included when I export the presentation to a pdf file.

It seems that pdfs that have been processes with the pdfcrop (from texlive) tool are effected.

Steps to Reproduce
1. Crop a pdf with pdfcrop
2. Insert it into a presentation
3. Export presentation to pdf

Tested with:
Version: 6.0.0.0.beta2+
Build ID: e3c195c03d39bd9a241d7ba0d378e02cdd14eeee
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: gtk3; 
Locale: en-GB (en_GB.utf8); Calc: group threaded

I shall attach test.odp, which has 2 embedded pdf graphs, one has been cropped with pdfcrop and does not appear when exported to pdf. I'll attached the original pdf graphs as well.
Comment 1 sam tygier 2017-12-14 12:14:44 UTC
Created attachment 138441 [details]
trig.pdf
Comment 2 sam tygier 2017-12-14 12:15:05 UTC
Created attachment 138442 [details]
trig-crop.pdf
Comment 3 sam tygier 2017-12-14 12:16:24 UTC
Also happens in
Version: 5.4.3.2
Build ID: 92a7159f7e4af62137622921e809f8546db437e5
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: gtk2; 
Locale: en-GB (en_GB.utf8); Calc: group
Comment 4 Xavier Van Wijmeersch 2017-12-14 17:36:21 UTC
repro with

Version: 6.1.0.0.alpha0+
Build ID: ce652a7f0d2745143a3e1078607a72695ce124f9
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-12-10_00:23:13
Locale: nl-BE (en_US.UTF-8); Calc: group threaded

Version: 6.0.0.0.beta2+
Build ID: c1293b4fa344096b4de6b8648a0409ca5811eccc
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group threaded

Version: 5.4.5.0.0+
Build ID: fd989b76221beeaa7528e86ca74e075274c9d3d6
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

no repro with

Version: 5.3.8.0.0+
Build ID: 7f1297d9b4f449eb9ada8008fb21b7046d1a8f19
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; Layout Engine: new; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-3, Time: 2017-11-10_15:56:34
Locale: nl-BE (en_US.UTF-8); Calc: group  and LO 5.3.1.2
Comment 5 Telesto 2017-12-14 19:42:24 UTC
Repro with
Version: 6.1.0.0.alpha0+
Build ID: cc1db6f2b0ebe05ae807628778835b62df00eca2
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-02_23:45:34
Locale: nl-NL (nl_NL); Calc: CL
Comment 6 sam tygier 2017-12-15 15:36:02 UTC
I can confirm, works in 5.3, broken in 5.4. So could be related to switch to pdfium https://wiki.documentfoundation.org/ReleaseNotes/5.4#Improvements_in_the_PDF_filter

Bibisecting with bibisect-linux-64-5.4

git bisect start
# good: [f04172d4ac1553877deea87d267307ad3eb1c99b] source sha:4136757b4e51c4e6f7cb4132c95538a7f831ef2c
git bisect good f04172d4ac1553877deea87d267307ad3eb1c99b
# bad: [95a88fd3a51708e07ce2e28ecab9404347821579] source sha:721efbeb117962e9b0cd547b51ede4a6736042a6
git bisect bad 95a88fd3a51708e07ce2e28ecab9404347821579
# good: [a02d2af797201e627d3096adb908d10b04db3515] source sha:35bb22c1a834b306c910cb065bc006818c9fa9b3
git bisect good a02d2af797201e627d3096adb908d10b04db3515
# bad: [26145747147b2839ca0d5fd6611e34f23dc31248] source sha:5252673d686913210dd65608b7d24b0e9d51cf00
git bisect bad 26145747147b2839ca0d5fd6611e34f23dc31248
# good: [6587638b80d48ae87ef08619350ce98c1dd30e1a] source sha:a203e8112090b384b17679e22852ed2ae6eb30a8
git bisect good 6587638b80d48ae87ef08619350ce98c1dd30e1a
# bad: [20fba1a4378301b62ad18a09bc400166cb96adb5] source sha:96208fc5983e459a854c8b4a3c3334e4a8904f56
git bisect bad 20fba1a4378301b62ad18a09bc400166cb96adb5
# bad: [fd850203435878c7015f31e00bcb70056188ae5a] source sha:fd697550825a091d9ee21c16ef25e011b1f201c4
git bisect bad fd850203435878c7015f31e00bcb70056188ae5a
# bad: [60984635ef422fad618d1d22e846b8b8e462c872] source sha:23bdf47e68c5b86e811e6f3dc27ed3e49788f674
git bisect bad 60984635ef422fad618d1d22e846b8b8e462c872
# good: [54e62c0b9f1ab280223606ec1d436c6cf75c115d] source sha:d92d9e0d94fd8e9908eeae3717a7c835c85e80ae
git bisect good 54e62c0b9f1ab280223606ec1d436c6cf75c115d
# bad: [7336d3930775f1a77dcc4e3796da1cc9d4a38ed1] source sha:82981b94feeae5fb1fb72139ce87fbc22ef33601
git bisect bad 7336d3930775f1a77dcc4e3796da1cc9d4a38ed1
# bad: [1acf747cdaf1e66e1501923285de462a4e6242ef] source sha:e44a0d05eaf3163733b19a3dcfcd66f7088142e0
git bisect bad 1acf747cdaf1e66e1501923285de462a4e6242ef
# good: [bf8735c27e5d8633aaa8b0d2c91b8da820a0470a] source sha:6082cd7e64b498301ed638afb3a7a743f6ab3f8a
git bisect good bf8735c27e5d8633aaa8b0d2c91b8da820a0470a
# bad: [a6a2a0865718119084a602e9bd57c06077619488] source sha:1ec8557d86d53c9df5afd5607a953ec72c33702f
git bisect bad a6a2a0865718119084a602e9bd57c06077619488
# good: [91ad58056f1c9b525ed016fa57206216bd13d824] source sha:f5bfdb06e3a14e0a754d09690a323a6f8ba3f0fa
git bisect good 91ad58056f1c9b525ed016fa57206216bd13d824
# good: [3ac5f1bcf657aa674e6050e483e875275b13335e] source sha:924fc2702e27ffc59012ddaccd210e9eef6912e6
git bisect good 3ac5f1bcf657aa674e6050e483e875275b13335e
# first bad commit: [a6a2a0865718119084a602e9bd57c06077619488] source sha:1ec8557d86d53c9df5afd5607a953ec72c33702f

However the 'bads' past,
[20fba1a4378301b62ad18a09bc400166cb96adb5] source sha:96208fc5983e459a854c8b4a3c3334e4a8904f56
neither pdfs show in the output.
Comment 7 sam tygier 2017-12-15 16:11:17 UTC
So
5.3 good, both pdfs show in export

from
[a6a2a0865718119084a602e9bd57c06077619488] source sha:1ec8557d86d53c9df5afd5607a953ec72c33702f
neither pdfs show in export

And from:
[fd41263421b268739b5754ea7efd4bf47db8a4e8] source sha:9c944b0d1bff9a0ab1b7e8454c9ac5e7194aa533
to current master
the trig.pdf shows, but  trig-crop.pdf does not
Comment 8 raal 2017-12-30 21:01:24 UTC
This seems to have begun at the below commit.
Adding Cc: to Miklos Vajna; Could you possibly take a look at this one?
Thanks


author	Miklos Vajna <vmiklos@collabora.co.uk>	2017-03-29 09:47:09 +0200
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2017-03-29 08:46:52 +0000
commit	9c944b0d1bff9a0ab1b7e8454c9ac5e7194aa533 (patch)
tree	6d87b130ce4138dd371c80406a73d613e566549a
parent	ae74444cb726494a2497642d7b2da908cd007d35 (diff)
vcl PDF export, norefxobj: add UI for this
Comment 9 sam tygier 2018-01-02 11:45:01 UTC
Agreed. I think something went wrong in the bibisect.

Building from source with "make cleans" I get 9c944b0d1bff9a0ab1b7e8454c9ac5e7194aa533 as first bad.
Comment 10 Commit Notification 2018-01-23 08:08:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f58a16d5987c8e8c16580c514ce0c7b0895b4105

tdf#114460 vcl: handle nested parentheses in PDF roundtrip

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 sam tygier 2018-01-23 14:51:29 UTC
I can confirm that f58a16d5987c8e8c16580c514ce0c7b0895b4105 fixes the issue for me. Thanks.
Comment 12 Xisco Faulí 2018-01-23 14:53:38 UTC
Putting to VERIFIED then. Thanks for checking it
Comment 13 sam tygier 2018-01-23 16:58:34 UTC
It is possible to get this into 6.0? Cherry-picksing fixes the issue for me on the libreoffice-6-0 branch.
Comment 14 Xisco Faulí 2018-01-23 17:12:48 UTC
It's waiting for review: https://gerrit.libreoffice.org/#/c/48378/1
Comment 15 Commit Notification 2018-01-23 19:31:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e45ca13634ba51a6133a231f74db76be06bb4d95&h=libreoffice-6-0

tdf#114460 vcl: handle nested parentheses in PDF roundtrip

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2018-01-23 20:30:17 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e0204bec154e50916d26b4f4e855f7d84235592&h=libreoffice-5-4

tdf#114460 vcl: handle nested parentheses in PDF roundtrip

It will be available in 5.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.